odf.odf2moinmoin.ParagraphProps Class Reference

Holds properties of a paragraph style. More...

## Public Member Functions

def | __init__ (self)
def | setIndented (self, value)
def | setHeading (self, level)
def | setTitle (self, value)
def | setCode (self, value)
def | __str__ (self)

## Public Attributes

| blockquote
| headingLevel
| code
| title
| indented

## Detailed Description

Holds properties of a paragraph style.

Definition at line 106 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

def odf.odf2moinmoin.ParagraphProps.__init__ | ( |  | self | ) |

Definition at line 108 of file odf2moinmoin.py.

## Member Function Documentation

def odf.odf2moinmoin.ParagraphProps.__str__ | ( |  | self | ) |

Definition at line 129 of file odf2moinmoin.py.

def odf.odf2moinmoin.ParagraphProps.setCode | ( |  | self,
|  |  | value
| ) |  |

Definition at line 125 of file odf2moinmoin.py.

def odf.odf2moinmoin.ParagraphProps.setHeading | ( |  | self,
|  |  | level
| ) |  |

Definition at line 119 of file odf2moinmoin.py.

def odf.odf2moinmoin.ParagraphProps.setIndented | ( |  | self,
|  |  | value
| ) |  |

Definition at line 116 of file odf2moinmoin.py.

def odf.odf2moinmoin.ParagraphProps.setTitle | ( |  | self,
|  |  | value
| ) |  |

Definition at line 122 of file odf2moinmoin.py.

## Member Data Documentation

odf.odf2moinmoin.ParagraphProps.blockquote

Definition at line 110 of file odf2moinmoin.py.

odf.odf2moinmoin.ParagraphProps.code

Definition at line 112 of file odf2moinmoin.py.

odf.odf2moinmoin.ParagraphProps.headingLevel

Definition at line 111 of file odf2moinmoin.py.

odf.odf2moinmoin.ParagraphProps.indented

Definition at line 114 of file odf2moinmoin.py.

odf.odf2moinmoin.ParagraphProps.title

Definition at line 113 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py